CREATE TABLE fnd_bpm_task_composites_b] (
    TASK_COMPOSITE_ID               NUMBER(18, 0)     NOT NULL,
    TASK_COMPOSITE_NAME             VARCHAR2(320)     NOT NULL,
    TASK_TRANSACTION_TYPE           VARCHAR2(320)     NOT NULL,
    TASK_OWNING_FAMILY              VARCHAR2(320)     NOT NULL,
    TASK_OWNING_APPLICATION         VARCHAR2(320)     NOT NULL,
    TASK_TRANSACTION_GROUP          VARCHAR2(320) ,
    TASK_DEFINITION_NAME            VARCHAR2(320)     NOT NULL,
    PRIMARY_TASK_DEFINITION_NAME    VARCHAR2(320) ,
    TASK_NAME_SPACE                 VARCHAR2(800) ,
    IS_SUBTASK                      VARCHAR2(320)     NOT NULL,
    ENTERPRISE_ID                   NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    SGUID                           VARCHAR2(128) ,
    IS_TRANSACTION_LOCKED           VARCHAR2(4)   ,
    TRANSACTION_DATA_SQL            VARCHAR2(4000),
    SECURED_RESOURCE_NAME           VARCHAR2(4000)    NOT NULL,
    BYPASS_APPROVAL                 VARCHAR2(4)   ,
    BYPASS_APPROVAL_OUTCOME         VARCHAR2(320) ,
    MODULE_ID                       VARCHAR2(128) ,
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    LARGE_TRANSACTION_DATA_SQL      CLOB          ,
    CATEGORY                        VARCHAR2(320) ,
    PARENT_TASK_DEFINITION_NAME     VARCHAR2(320) ,
    ACTION_METADATA                 CLOB          ,
    TASK_METADATA                   CLOB          ,
    TRANSACTION_ID                  VARCHAR2(320) 
);
